      subroutine number (x,y,height,xnum,angle,ijk)
c
c Use the format to plot an integer number max. number of 
c characters is up to the calling routine.
c
c James Blake
c @(#)number.f	1.1  4/3/89 
c
      character*80 iwk
c
      character*6 iform(18)
      data iform / '(f6.4)','(f6.3)','(f6.2)','(f6.1)','(f6.0)','(f5.3)'
     *   ,'(f5.2)','(f5.1)','(f5.0)','(f4.2)','(f4.1)','(f3.1)','(i6)  '
     *   ,'(i5)  ','(i4)  ','(i3)  ','(i2)  ','(i1)  '/
c
      do 10 k = 1, len(iwk) 
         iwk(k:k) = ' '
 10   continue
c
c Encode and integer or real ?
c
      if (ijk.le.12) then
c
c     encode a real number
c
         write (iwk,iform(ijk)) xnum
      else
c
c     encode an integer number
c
         num = int(xnum)
         write (iwk,iform(ijk)) num
      endif
      length = lenstr(iwk)
      call symbol (x,y,height,iwk(1:length),angle,length)
      return
      end
